Subject: Re: ksoftirqd high cpu load on kernels 2.6.24 to 2.6.27-rc1-mm1

From: Stephen Hemminger <[email-masked]>
Date: Sun, 31 Aug 2008 10:05:37 -0700

On Sun, 31 Aug 2008 10:51:46 +0200
"Dushan Tcholich" <[email-masked]> wrote:

> Hello
> I found the culprit.
> 
> When using powertop I get:
> Top causes for wakeups:
>   35,2% (251,0)                ip : br_stp_enable_bridge (br_hello_timer_expired
> 
> So I tried to turn them off with:
> brctl sethello br0 0
> but the problem persisted.

You can't turn off the hello timer, it is needed for Spanning Tree to
work. The kernel should reject requests to set hello timer < 1sec.
Most routers allow 1 - 10sec.

I am going to do a new patch to add tighter range checking for STP timer
settings and another to default fowarding delay of zero if STP is disabled.